<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Панель управления - Бан-лист');

///Подключаем шапку
$title->GetHeader();

if ($b['level'] == 0) {
header('location:/');
die();
}
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Бан лист </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/panel" rel="v:url" property="v:title">Дата-центр</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Бан-лист</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
echo '<div class="catSides"><a href="/panel"><i class="md-format-list-bulleted"></i> Админка</a> - Бан-лист</div>';

if (isset($_GET['x'])) {
$bb = DB::$dbs->query("SELECT * FROM ban WHERE id = ?", [abs((int)$_GET['x'])]);
if ($bb -> rowCount() == 0) {
header('location:/');
die();
}
$ba = $bb -> fetch();
DB::$dbs->query("DELETE FROM ban WHERE id =
?", [$ba['id']]);
header('location: ?');
die();
}
if (isset($_GET['unban'])) {
echo '<div class="row text_box">Действительно разбанить?<br/><a href="?x='.abs((int)$_GET['unban']).'">Да</a> | <a href="?">Нет</a></div>';
///Подключаем футер
$title->GetFooter();
die();
}
$look = DB::$dbs -> querySingle("SELECT COUNT(id) FROM ban");
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
if ($look==0) {
echo '<div class="error">Пусто...</div>';
} else {
$sql = DB::$dbs->query("SELECT * FROM ban ORDER BY id DESC LIMIT $start,$num");
while ($arr = $sql -> fetch()) {
echo '<div class="row text_box">'.Nick($arr['who_ban']).'  забанил '.Nick($arr['user_ban']).'<br/>Причина: <b>'.$arr['text'].'</b><br/>Дата бана: <b>'.vr($arr['dateban']).'</b> <br/>Дата освобождения: <b>'.date('d.m.y в H:i', $arr['timeban']).'</b><br/>Действия: '.($b['level']>4 ? '<a href="?unban='.$arr['id'].'">[Разбанить]</a> <a href="ban.php?do=red&id='.$arr['id'].'">[Изменить]</a>':NULL).'</div>';
}
}
if ($k_page>1) {
str('?', $k_page, $page);
}

///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>